import { defineComponent as s, createBlock as r, openBlock as c, unref as e, normalizeProps as l, guardReactiveProps as p, withCtx as u, createTextVNode as _, toDisplayString as m } from "vue";
import { useI18n as f } from "vue-i18n";
import { b as v } from "./start-CE9SawgU.js";
import "pinia";
import { I as n } from "./header-Bn1EKnBE.js";
const S = /* @__PURE__ */ s({
  __name: "IsActiveStatusCell",
  props: {
    row: {},
    rowIndex: {},
    cell: {},
    cellValue: { type: Boolean }
  },
  setup(o) {
    const { t } = f();
    return (i, I) => (c(), r(e(v), l(p(e(n)[String(!!i.cellValue)])), {
      default: u(() => [
        _(m(e(t)(e(n)[String(!!i.cellValue)].label)), 1)
      ]),
      _: 1
    }, 16));
  }
});
function a(o) {
  const t = o;
  t.__i18n = t.__i18n || [], t.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        statuses: {
          isActive: {
            active: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Active" } },
            inactive: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Inactive" } }
          }
        }
      },
      "de-DE": {
        statuses: {
          isActive: {
            active: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Aktiv" } },
            inactive: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Inaktiv" } }
          }
        }
      }
    }
  });
}
typeof a == "function" && a(S);
export {
  S as default
};
